MINOVAES - PRODUCT - Support #1786

[Time Management] Generate Quota Cuti
11/08/2022 02:35 PM - Fiona Avangeline Jonathan

Status: Assigned

Priority: Immediate
Assignee: Muhammad Bintar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

11/08/2022
11/15/2022
0%

0.00 hour
2.00 hours

Description
Dear Mba Yoma,

Mohon bantuannya untuk membuat service job dengan mengecek apakah generate kuota cuti berdasarkan hiring date atau awal
tahun. Untuk generate quota cuti berdasarkan TMK (Tahun masuk kerja) misalkan employee masuk tgl 17 agustus 2021 maka dia
akan mendapat hak cuti tahunan berlaku mulai tgl 17 agustus 2022.

Parameter ngecek kondisi awal tahun/hiring date PRPTTMLEAVEPERIOD
Parameter mapping kuota berdasarkan grade PRPTTMGENLEAVEQUO

Terima kasih.

Port : http://remote.minovais.com:31133/
Server : remote.minovais.com,1442
DB : MinovaES_Product_2021

Port: http://demo.minovais.com:61199/
DB: 45.251.75.66 | MinovaES_Silver_Package

History

#1 - 11/08/2022 02:37 PM - Fiona Avangeline Jonathan
- Description updated

- Status changed from New to Assigned

#2 - 11/09/2022 10:14 AM - Fiona Avangeline Jonathan
- Due date changed from 10/25/2022 to 11/15/2022
- Start date changed from 10/20/2022 to 11/08/2022

#3 - 11/21/2022 05:32 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan
dear fio ,, udah di buatkan spnya ya selanjutnya bilang ke masbin

package :
sp : [GenerateQuotaleave]

makasih

#4 - 11/22/2022 09:58 AM - Fiona Avangeline Jonathan
- Status changed from QA Test to Assigned

- Assignee changed from Fiona Avangeline Jonathan to Muhammad Bintar

Dear masbin , tolong buatkan jobSQL di port Product dan Silver Package dengan ketentuan dibawah

- untuk service generate kuota cuti dijalankan tiap tengah malam
- periode cuti contoh start date 17 agt 2022 dan end date 16 agt 2023

- periode deduction contoh start date deduction 17 agt 2022 dan end date deduction 16 agt 2023

- diberikan kuota cuti full sesuai kuota type nya
http://remote.minovais.com:31133/
http://demo.minovais.com:61199/

package :
sp : [GenerateQuotaleave]

terima kasih.

#5 - 11/22/2022 11:16 AM - Fiona Avangeline Jonathan
- File clipboard-202211221115-hlbh3.png added

Contoh Data

EmployeelD PaymentUpTo RetroDate CorrectStatus HiringDate
30000133 202203 20220224 20221122
30000134 20220301 1 20221123
30000135 202202 20220201 1 20221124
Files
clipboard-202211221115-hlbh3.png 4.57 KB 11/22/2022 Fiona Avangeline Jonathan
